<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class ResolvedAtTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('resolved_at')
            ->translateLabel()
            ->sortable()
            ->label('تاریخ حل')
            ->jalaliDateTime()
            ->toggleable()
            ->toggledHiddenByDefault();
    }
}
